﻿@page
@model Website.Pages.brand.AddModel
@using Entities
@{
    ViewData["Title"] = "Add Brand";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/brand" class="link-primary text-decoration-none">Brand</a>
        >
        <a href="/brand/add" class="link-primary text-decoration-none">Add</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Brand attributes</p>
        @if (Model.IsAdded)
        {
            if (string.IsNullOrEmpty(Model.StrInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Added brand successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@Model.StrInfo</p>
            }
        }
    </div>
    <form class="row g-3 mb-2" method="post">
        <div class="col-sm-4">
            <label for="id" class="form-label">Brand ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@Model.Id" placeholder="Brand ID" maxlength="30" required>
        </div>
        <div class="col-sm-5">
            <label for="name" class="form-label">Brand Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@Model.Name" placeholder="Brand Name" maxlength="30" required>
        </div>
        <div class="col-sm-3 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-success text-light" type="submit" value="Add New">
        </div>
    </form>
</div>
